Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class TemporalSettings

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.qtcomponents.TemporalSettings

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class TemporalSettings
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`TemporalSettings(int temporalQuality, float frameRate, int keyFrameRate)` Construct temporal settings to set the dialog display.

Method Summary
`float` | `getFrameRate()` Get the default frame rate in the dialog box.
`int` | `getKeyFrameRate()` Get the default key frame rate in the dialog box.
`int` | `getTemporalQuality()` Get the default temporal quality slider in the dialog box.
`void` | `setFrameRate(float frameRate)` Specifies the frame rate in the dialog box.
`void` | `setKeyFrameRate(int keyFrameRate)` Specifies the key frame rate in the dialog box.
`void` | `setTemporalQuality(int temporalQuality)` Specifies the temporal quality slider in the dialog box.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### TemporalSettings

    public TemporalSettings(int temporalQuality,
                            float frameRate,
                            int keyFrameRate)

  Construct temporal settings to set the dialog display.
  Parameters:
    `temporalQuality` - the quality setting
    `frameRate` - the frame rate
    `keyFrameRate` - the key frame rate

Method Detail

### getTemporalQuality

    public int getTemporalQuality()

  Get the default temporal quality slider in the dialog box.
  Returns:
    the quality setting

### setTemporalQuality

    public void setTemporalQuality(int temporalQuality)

  Specifies the temporal quality slider in the dialog box.
  Parameters:
    `temporalQuality` - the quality setting

### getFrameRate

    public float getFrameRate()

  Get the default frame rate in the dialog box.
  Returns:
    the frame rate

### setFrameRate

    public void setFrameRate(float frameRate)

  Specifies the frame rate in the dialog box.
  Parameters:
    `frameRate` - the frame rate

### getKeyFrameRate

    public int getKeyFrameRate()

  Get the default key frame rate in the dialog box.
  Returns:
    the key frame rate

### setKeyFrameRate

    public void setKeyFrameRate(int keyFrameRate)

  Specifies the key frame rate in the dialog box.
  Parameters:
    `keyFrameRate` - the key frame rate

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD